using SteUp.Shared.Core.Dto;

namespace SteUp.Shared.Core.Interface.IntegryApi;

public interface IIntegrySteupService
{
    //Retrieve
    Task<List<PuntoVenditaDto>> RetrievePuntiVendita();
    Task<List<JtbFasiDto>> RetrieveReparti();
    Task<List<ActivityTypeDto>> RetrieveActivityType();
    Task<List<ArticoliInGrigliaDto>?> RetrieveGrigliaPlu(RetrieveGrigliaPluRequestDto request);
    Task<ArticoliInGrigliaDto?> RetrieveArtFromBarcode(string barcode);
    Task<List<StbActivityDto>?> RetrieveStatoIspezioni(RetrieveStatoIspezioniRequestDto request);
    
    //Save
    Task<SaveSchedaResponseDto?> SaveScheda(SaveRequestDto request);
    Task<SaveSchedaResponseDto?> SaveMultipleSchede(List<SaveRequestDto> request);
    Task CompleteInspection(string activityId);
    Task UploadFile(string activityId, byte[] file, string fileName);
    
    Task DeleteScheda(string activityId);
}